'use strict';
const checkType = require('./type');
const isNumber = checkType.isNumber;
const nativeMin = Math.min;
const nativeMax = Math.max;

const numberUtils = {
  isFinite,
  isNaN,
  isNumber,
  isDecimal: num => isNumber(num) && num % 1 !== 0,
  isEven: num => isNumber(num) && num % 2 === 0,
  isInteger: Number.isInteger ? Number.isInteger : num => isNumber(num) && num % 1 === 0,
  isNegative: num => isNumber(num) && num < 0,
  isOdd: num => isNumber(num) && num % 2 !== 0,
  isPositive: num => isNumber(num) && num > 0,
  toFloat: str => parseFloat(str),
  toInteger: (str, radix) => parseInt(str, radix || 10),
  isInRange(value, start, end) {
    start = +start || 0;
    if (end === undefined) {
      end = start;
      start = 0;
    } else {
      end = +end || 0;
    }
    return value >= nativeMin(start, end) && value < nativeMax(start, end);
  }
};

numberUtils.isInFinite = num => !numberUtils.isFinite(num);

module.exports = numberUtils;

