'use strict';
const checkType = require('./type');

const isString = checkType.isString;
const stringPrototype = String.prototype;

function toString(a) {
  return a.toString();
}

const stringUtils = {
  isString,
  trim(str) {
    str = toString(str);
    return stringPrototype.trim ? str.trim() : str.replace(/^\s+|\s+$/g, '');
  },
  trimLeft(str) {
    str = toString(str);
    return stringPrototype.trimLeft ? str.trimLeft() : str.replace(/^\s+/g, '');
  },
  trimRight(str) {
    str = toString(str);
    return stringPrototype.trimRight ? str.trimRight() : str.replace(/^\s+/g, '');
  },
  lc(str) {
    return toString(str).toLowerCase();
  },
  uc(str) {
    return toString(str).toUpperCase();
  },
  hasSubString(str, subStr) {
    return toString(str).indexOf(toString(subStr)) > -1;
  }
};

module.exports = stringUtils;

