const path = require('path');
const ExtractTextPlugin = require('extract-text-webpack-plugin');

module.exports = {
  entry: {
    'spec/index': path.resolve(__dirname, './spec/index.spec.js'),
    'dist/index': path.resolve(__dirname, './lib/index.js'),
  },
  output: {
    libraryTarget: 'var',
    library: 'zeroLang',
    path: path.resolve(__dirname),
    publicPath: '/',
    filename: '[name].js'
  },
  alias: {},
  resolveLoader: {},
  module: {
    loaders: [
      {
        test: /\.js[x]?$/,
        loader: 'babel-loader',
        exclude: /locale/,
        query: {
          presets: [
            'es2015'
          ]
        }
      }
    ]
  },
  plugins: [],
  externals: {
    'zero-lang': 'zeroLang',
  },
  devtool: 'source-map'
};

